# Type pyglet.window._WindowMetaclass

    type --+
           |
          _WindowMetaclass

Sets the _platform_event_names class variable on the window subclass.

## Methods

| __init__(cls, name, bases, dict)
Inherited from `type`: `__call__`, `__cmp__`, `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__repr__`, `__setattr__`, `__subclasses__`, `mro`

## Properties

Inherited from `type`: `__base__`, `__bases__`, `__basicsize__`, `__dictoffset__`, `__flags__`, `__itemsize__`, `__mro__`, `__name__`, `__weakrefoffset__`